Bug 137756 - system-config-samba cannot read smb.conf after using SWAT (server signing)
system-config-samba cannot read smb.conf after using SWAT (server signing)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-31 21:33 EST by Adam Thompson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-23 11:37:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Thompson 2004-10-31 21:33:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
     AttributeError: ('server signing', 'auto')
occurs after using SWAT to edit smb.conf file.  There are probably
more settings SWAT generates that aren't recognized, this is just the
first one it dies on.

Version-Release number of selected component (if applicable):
system-config-samba-1.2.15-0.fc2.1

How reproducible:
Always

Steps to Reproduce:
1. Use system-config-samba to set up SAMBA
2. Use SWAT to edit advanced settings
3. Try using system-config-samba again.
    

Actual Results:  Traceback (most recent call last):
  File "/usr/share/system-config-samba/system-config-samba.py", line
38, in ?
    mainWindow.MainWindow(debug_flag)
  File "/usr/share/system-config-samba/mainWindow.py", line 75, in
__init__
    self.samba_data = sambaParser.SambaParser(self)
  File "/usr/share/system-config-samba/sambaParser.py", line 40, in
__init__
    self.parseFile()
  File "/usr/share/system-config-samba/sambaParser.py", line 71, in
parseFile
    token = self.createToken(line)
  File "/usr/share/system-config-samba/sambaParser.py", line 143, in
createToken    token =
sambaToken.SambaToken(sambaToken.SambaToken.SAMBA_TOKEN_KEYVAL, (name,
value), self.parent)
  File "/usr/share/system-config-samba/sambaToken.py", line 36, in
__init__
    raise AttributeError, value
AttributeError: ('server signing', 'auto')


Expected Results:  GTK UI should have appeared.

Additional info:
Comment 1 Nils Philippsen 2004-11-23 11:32:42 EST
fixed in CVS
Comment 2 Nils Philippsen 2004-11-23 11:37:58 EST
fixed in system-config-samba-1.2.22-0.fc2.1

Note You need to log in before you can comment on or make changes to this bug.